class udriver_ram extends uvm_driver #(utran_ram);

 `uvm_component_utils(udriver_ram)
 
  //uvm_analysis_port #(utran_ram) ap;
  
  virtual ramIF.monitor mi;
  
  function new (string name, uvm_component parent);
	super.new(name, parent);
  endfunction: new

  function void build_phase(uvm_phase phase);
   super.build_phase(phase);
   //ap = new("inst_group_cov_ap", this);
  endfunction: build_phase
  
  task run_phase(uvm_phase phase);
	utran_ram m_ram;
    forever
    begin
      @(posedge tb.i_gclk.clk)
	  seq_item_port.get(m_ram); // Get item from sequencer
	  mi.mem_out = m_ram.word; // Drive transaction to interface
      //ap.write(m_ram);
	  #1;
	end
  endtask : run_phase
  
endclass : udriver_ram

