`include "utran_ram.sv" 

class usequence_ram extends uvm_sequence #(utran_ram);

  `uvm_object_utils(usequence_ram)
  
  utran_ram m_utran_ram;
  
  function new (string name = "");
    super.new(name);
  endfunction: new
  
  task body;
    m_utran_ram = utran_ram ::type_id::create("m_utran_ram", null); // Create transaction
    forever
	begin
	  start_item(m_utran_ram); // Synchronize with sequencer
	  assert( m_utran_ram.randomize() ); // Randomize transaction variables
	  finish_item(m_utran_ram); // Give completed item to sequencer
	end
  endtask 
endclass : usequence_ram
