`include "uagent_inst.sv"
`include "uagent_ram.sv"

//Previously it was sequencer_data
class uenv extends uvm_env;

   `uvm_component_utils(uenv)

   //Internal variables   
   uagent_inst  m_agent_inst;
   uagent_ram  m_agent_ram;
   
   function new (string name, uvm_component parent);
      super.new(name,parent);
   endfunction : new
   
   function void build_phase(uvm_phase phase);
      super.build_phase(phase);
	  //Constructors
      m_agent_inst =		uagent_inst::type_id::create ("m_agent_inst", this);
	  m_agent_ram =			uagent_ram::type_id::create ("m_agent_ram", this);

   endfunction : build_phase
   
   //Connect interfaces to internal components          
   function void connect_phase (uvm_phase phase);   

   endfunction : connect_phase
   
   task run_phase(uvm_phase phase);
      uvm_top.print();
   endtask: run_phase
   
   task initialize();
      $display("%t: %m", $time );
	  //rst_n.toggle;
	  tb.initialize;

   endtask: initialize
   
   
endclass: uenv	  
