`include "utran_inst.sv" 

class usequence_inst extends uvm_sequence #(utran_inst);

  `uvm_object_utils(usequence_inst)
  
  utran_inst m_utran_inst;
  
  function new (string name = "");
    super.new(name);
  endfunction: new
  
  task body;
    m_utran_inst = utran_inst ::type_id::create("m_utran_inst", null);
    forever
	begin
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() );
	  finish_item(m_utran_inst);
	end

  endtask 
   
endclass : usequence_inst

class usequence_inst_init extends uvm_sequence #(utran_inst);

  `uvm_object_utils(usequence_inst_init)
  
  utran_inst m_utran_inst;
  
  function new (string name = "");
    super.new(name);
  endfunction: new
  
  task body;
    m_utran_inst = utran_inst ::type_id::create("m_utran_inst", null);
    //forever
	//begin
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() with {m_utran_inst.inst == nip;});
	  finish_item(m_utran_inst);
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() with {m_utran_inst.inst == nip;});
	  finish_item(m_utran_inst);    
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() with {m_utran_inst.inst == lit;});
	  finish_item(m_utran_inst);	  
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() with {m_utran_inst.inst == lit;});
	  finish_item(m_utran_inst);	  
	  start_item(m_utran_inst);
	  assert( m_utran_inst.randomize() with {m_utran_inst.inst == lit;});
	  finish_item(m_utran_inst);	  
	  for (int i=1;i<8;i++);
	  begin
	    start_item(m_utran_inst);
		assert( m_utran_inst.randomize() with {m_utran_inst.inst == lit;});
	    finish_item(m_utran_inst);
	  end
	//end

  endtask 
   
endclass : usequence_inst_init